Index: /release-kits/shared/language-strings/LanguagePack.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack.properties	(revision 18168)
+++ /release-kits/shared/language-strings/LanguagePack.properties	(revision 18169)
@@ -1,5 +1,6 @@
 ### Language page ###
 page.language-selector.displayText = Language
-language-selector-explanation.displayText = Please choose your preferred language (Note: This installer has not been fully translated into all these languages yet)
+language-selector-explanation.displayText = Please choose your preferred language
+#(Note: This installer has not been fully translated into all these languages yet)
 
 
Index: /release-kits/shared/language-strings/LanguagePack_de.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 18168)
+++ /release-kits/shared/language-strings/LanguagePack_de.properties	(revision 18169)
@@ -1,5 +1,6 @@
 ### Language page ###
 page.language-selector.displayText = Sprache
-language-selector-explanation.displayText = Bitte wÃ€hlen Sie die Installationssprache aus. (Hinweis: Momentan unterstÃŒtzt die Installation noch nicht alle Sprachen.)
+language-selector-explanation.displayText = Bitte wÃ€hlen Sie die Installationssprache aus.
+#(Hinweis: Momentan unterstÃŒtzt die Installation noch nicht alle Sprachen.)
 
 
Index: /release-kits/shared/language-strings/LanguagePack_es.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 18168)
+++ /release-kits/shared/language-strings/LanguagePack_es.properties	(revision 18169)
@@ -1,5 +1,6 @@
 ﻿### Language page ###
 page.language-selector.displayText = Idioma
-language-selector-explanation.displayText = Por favor, elija su idioma preferido: (Nota: Este instalador no ha sido completamente traducido a todos los idiomas aún.)
+language-selector-explanation.displayText = Por favor, elija su idioma preferido:
+#(Nota: Este instalador no ha sido completamente traducido a todos los idiomas aún.)
 
 
Index: /release-kits/shared/language-strings/LanguagePack_ru.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_ru.properties	(revision 18168)
+++ /release-kits/shared/language-strings/LanguagePack_ru.properties	(revision 18169)
@@ -1,5 +1,6 @@
 ### Language page ###
 page.language-selector.displayText = Ð¯Ð·ÑÐº
-language-selector-explanation.displayText = ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð²ÑÐ±ÐµÑÐžÑÐµ ÐœÑÐ¶ÐœÑÐ¹ ÑÐ·ÑÐº (ÐÐ°ÐŒÐµÑÑÑÐµ, ÑÑÐ° Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐ° ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž ÐµÑÐµ ÐœÐµ Ð¿ÐŸÐ»ÐœÐŸÑÑÑÑ Ð¿ÐµÑÐµÐ²ÐµÐŽÐµÐœÐ° ÐœÐ° Ð²ÑÐµ ÑÐ·ÑÐºÐž)
+language-selector-explanation.displayText = ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð²ÑÐ±ÐµÑÐžÑÐµ ÐœÑÐ¶ÐœÑÐ¹ ÑÐ·ÑÐº
+#(ÐÐ°ÐŒÐµÑÑÑÐµ, ÑÑÐ° Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐ° ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž ÐµÑÐµ ÐœÐµ Ð¿ÐŸÐ»ÐœÐŸÑÑÑÑ Ð¿ÐµÑÐµÐ²ÐµÐŽÐµÐœÐ° ÐœÐ° Ð²ÑÐµ ÑÐ·ÑÐºÐž)
 
 
Index: /release-kits/shared/language-strings/LanguagePack_zh.properties
===================================================================
--- /release-kits/shared/language-strings/LanguagePack_zh.properties	(revision 18168)
+++ /release-kits/shared/language-strings/LanguagePack_zh.properties	(revision 18169)
@@ -1,5 +1,6 @@
 ### Language page ###
 page.language-selector.displayText = è¯­èš
-language-selector-explanation.displayText = è¯·éæ©è¯­èšïŒæ³šïŒæ¬å®è£
+language-selector-explanation.displayText = è¯·éæ©è¯­èš
+#ïŒæ³šïŒæ¬å®è£
 åšå°æªè¢«ç¿»è¯æææè¯­ç§ïŒ
 