Index: /gsdl/trunk/common-src/src/gdbmedit/db2txt/Makefile.in
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/db2txt/Makefile.in	(revision 18223)
+++ /gsdl/trunk/common-src/src/gdbmedit/db2txt/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/gdbmedit/db2txt
+# Makefile -- common-src/src/gdbmedit/db2txt
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -27,5 +27,7 @@
 GSDL_DIR = ../../../..
 COMMON_DIR = $(GSDL_DIR)/common-src
-GDBM_DIR = $(COMMON_DIR)/packages/gdbm
+
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
+
 
 CXX = @CXX@
@@ -33,8 +35,8 @@
 DEFS = @DEFS@
 GSDLOS = @gsdlos@
-INCLUDES = -I$(GDBM_DIR)/include -I$(COMMON_DIR)/src/lib
+INCLUDES = -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(COMMON_DIR)/src/lib
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(GDBM_DIR)/lib/libgdbm.a
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a
 
 
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmget/Makefile.in
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmget/Makefile.in	(revision 18223)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmget/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/gdbmedit/gdbmget
+# Makefile -- common-src/src/gdbmedit/gdbmget
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -27,5 +27,7 @@
 GSDL_DIR = ../../../..
 COMMON_DIR = $(GSDL_DIR)/common-src
-GDBM_DIR = $(COMMON_DIR)/packages/gdbm
+
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
+
 
 CXX = @CXX@
@@ -33,8 +35,8 @@
 DEFS = @DEFS@
 GSDLOS = @gsdlos@
-INCLUDES = -I$(GDBM_DIR)/include -I$(COMMON_DIR)/src/lib
+INCLUDES = -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(COMMON_DIR)/src/lib
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(GDBM_DIR)/lib/libgdbm.a
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a
 
 
Index: /gsdl/trunk/common-src/src/gdbmedit/gdbmset/Makefile.in
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/gdbmset/Makefile.in	(revision 18223)
+++ /gsdl/trunk/common-src/src/gdbmedit/gdbmset/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/gdbmedit/gdbmset
+# Makefile -- common-src/src/gdbmedit/gdbmset
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -27,5 +27,7 @@
 GSDL_DIR = ../../../..
 COMMON_DIR = $(GSDL_DIR)/common-src
-GDBM_DIR = $(COMMON_DIR)/packages/gdbm
+
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
+
 
 CXX = @CXX@
@@ -33,8 +35,8 @@
 DEFS = @DEFS@
 GSDLOS = @gsdlos@
-INCLUDES = -I$(GDBM_DIR)/include -I$(COMMON_DIR)/src/lib
+INCLUDES = -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(COMMON_DIR)/src/lib
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(GDBM_DIR)/lib/libgdbm.a
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a
 
 
Index: /gsdl/trunk/common-src/src/gdbmedit/txt2db/Makefile.in
===================================================================
--- /gsdl/trunk/common-src/src/gdbmedit/txt2db/Makefile.in	(revision 18223)
+++ /gsdl/trunk/common-src/src/gdbmedit/txt2db/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/gdbmedit/txt2db
+# Makefile -- common-src/src/gdbmedit/txt2db
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -27,5 +27,7 @@
 GSDL_DIR = ../../../..
 COMMON_DIR = $(GSDL_DIR)/common-src
-GDBM_DIR = $(COMMON_DIR)/packages/gdbm
+
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
+
 
 CXX = @CXX@
@@ -33,8 +35,8 @@
 DEFS = @DEFS@
 GSDLOS = @gsdlos@
-INCLUDES = -I$(GDBM_DIR)/include -I$(COMMON_DIR)/src/lib
+INCLUDES = -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(COMMON_DIR)/src/lib
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(GDBM_DIR)/lib/libgdbm.a
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a
 
 
Index: /gsdl/trunk/common-src/src/lib/Makefile.in
===================================================================
--- /gsdl/trunk/common-src/src/lib/Makefile.in	(revision 18223)
+++ /gsdl/trunk/common-src/src/lib/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- lib
+# Makefile -- common-src/src/lib
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -25,12 +25,14 @@
 ###########################################################################
 
-GSDL_DIR = ../..
-INDEXERS_DIR = $(GSDL_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/packages
+GSDL_DIR = ../../..
+COMMON_DIR = $(GSDL_DIR)/common-src
+
+INDEXERS_DIR = $(COMMON_DIR)/indexers
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
 
 
 USE_SQLITE = @USE_SQLITE@
 ifeq ($(USE_SQLITE), 1)
-SQLITE_INCLUDES = -I$(PACKAGES_DIR)/sqlite/include
+SQLITE_INCLUDES = -I$(COMMON_PACKAGES_DIR)/sqlite/include
 SQLITE_OBJECTS = sqlitedbclass.o
 SQLITE_SOURCES = sqlitedbclass.cpp
@@ -46,5 +48,5 @@
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@
 DEFS = @DEFS@
-INCLUDES = @GDBM_INCLUDE@ -I$(GSDL_DIR) -I$(INDEXERS_DIR)/mg/lib $(SQLITE_INCLUDES)
+INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_PACKAGES_DIR)/gdbm/include -I$(INDEXERS_DIR)/mg/lib $(SQLITE_INCLUDES)
 RANLIB = @RANLIB@
 
Index: /gsdl/trunk/runtime-src/src/colservr/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/colservr/Makefile.in	(revision 18223)
+++ /gsdl/trunk/runtime-src/src/colservr/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/colservr
+# Makefile -- runtime-src/src/colservr
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -29,6 +29,5 @@
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
-COMMON_PACKAGES = $(COMMON_DIR)/packages
-PACKAGES_DIR = $(GSDL_DIR)/runtime-src/packages
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
 
 
@@ -36,5 +35,5 @@
 ifeq ($(USE_SQLITE), 1)
 SQLITE_DEFINES = -DUSE_SQLITE
-SQLITE_INCLUDES = -I$(COMMON_PACKAGES)/sqlite/include
+SQLITE_INCLUDES = -I$(COMMON_PACKAGES_DIR)/sqlite/include
 else
 SQLITE_DEFINES = 
@@ -50,8 +49,8 @@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER $(SQLITE_DEFINES)
 # Do NOT add the "recpt" directory here: the colserver should be independent of the receptionist!
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib \
+INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COMMON_PACKAGES_DIR)/gdbm/include \
 	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mg/src/text \
 	-I$(INDEXERS_DIR)/mgpp/lib -I$(INDEXERS_DIR)/mgpp/text \
-	-I$(PACKAGES_DIR)/expat/include $(SQLITE_INCLUDES)
+	-I$(COMMON_PACKAGES_DIR)/expat/include $(SQLITE_INCLUDES)
 RANLIB = @RANLIB@
 
Index: /gsdl/trunk/runtime-src/src/protocol/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/protocol/Makefile.in	(revision 18223)
+++ /gsdl/trunk/runtime-src/src/protocol/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/protocol
+# Makefile -- runtime-src/src/protocol
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -27,8 +27,9 @@
 GSDL_DIR = ../../..
 COMMON_DIR = $(GSDL_DIR)/common-src
+RUNTIME_DIR = $(GSDL_DIR)/runtime-src
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
-PACKAGES_DIR = $(GSDL_DIR)/runtime-src/packages
-COLSERVR_DIR = $(GSDL_DIR)/runtime-src/src/colservr
+COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
+COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
 
 
@@ -38,5 +39,6 @@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DGSDLSERVER
 # Do NOT add the "recpt" directory here: the protocol should be independent of the receptionist!
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(INDEXERS_DIR)/mgpp/text
+INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COMMON_PACKAGES_DIR)/gdbm/include \
+	-I$(COLSERVR_DIR) -I$(INDEXERS_DIR)/mgpp/text
 RANLIB = @RANLIB@
 
Index: /gsdl/trunk/runtime-src/src/recpt/Makefile.in
===================================================================
--- /gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 18223)
+++ /gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 18224)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/recpt
+# Makefile -- runtime-src/src/recpt
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -80,5 +80,5 @@
 CXXFLAGS = @CXXFLAGS@ @COMPAT32BITFLAGS@
 DEFS = @DEFS@ -DNZDL -DQUIET -DSHORT_SUFFIX -DPARADOCNUM -DHAVE_CONFIG_H $(FASTCGI_DEFS) $(Z3950_DEFS)
-INCLUDES = @GDBM_INCLUDE@ -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib \
+INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COMMON_PACKAGES_DIR)/gdbm/include \
         -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
 	-I$(INDEXERS_DIR)/mg -I$(INDEXERS_DIR)/mg/lib -I$(INDEXERS_DIR)/mgpp/text \
@@ -86,6 +86,6 @@
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
-	$(FASTCGI_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat \
+	$(ACCENTFOLD_LIBS) $(FASTCGI_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
 RANLIB = @RANLIB@
 