Index: gsdl/trunk/runtime-src/src/corba/Makefile.in
===================================================================
--- gsdl/trunk/runtime-src/src/corba/Makefile.in	(revision 18225)
+++ gsdl/trunk/runtime-src/src/corba/Makefile.in	(revision 18226)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/corba
+# Makefile -- runtime-src/src/corba
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -31,5 +31,5 @@
 INDEXERS_DIR = $(COMMON_DIR)/indexers
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-PACKAGES_DIR = $(RUNTIME_DIR)/packages
+RUNTIME_PACKAGES_DIR = $(RUNTIME_DIR)/packages
 COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
 PROTOCOL_DIR = $(RUNTIME_DIR)/src/protocol
@@ -54,6 +54,6 @@
 MICO_VER = @MICO_VER@
 ifeq ($(MICO_DIR), default)
-MICO_INCLUDES = -I$(PACKAGES_DIR)/mico/mico/include
-MICO_PATH = $(PACKAGES_DIR)/mico/bin/
+MICO_INCLUDES = -I$(RUNTIME_PACKAGES_DIR)/mico/mico/include
+MICO_PATH = $(RUNTIME_PACKAGES_DIR)/mico/bin/
 else
 ifeq ($(MICO_DIR), yes)
@@ -75,6 +75,6 @@
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@
-LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) \
-        $(SQLITE_LIBS) -L$(PACKAGES_DIR)/mico/lib -lmico$(MICO_VER)
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat \
+	$(ACCENTFOLD_LIBS) $(SQLITE_LIBS) -L$(RUNTIME_PACKAGES_DIR)/mico/lib -lmico$(MICO_VER)
 RANLIB = @RANLIB@
 
Index: gsdl/trunk/runtime-src/src/oaiservr/Makefile.in
===================================================================
--- gsdl/trunk/runtime-src/src/oaiservr/Makefile.in	(revision 18225)
+++ gsdl/trunk/runtime-src/src/oaiservr/Makefile.in	(revision 18226)
@@ -1,5 +1,5 @@
 ###########################################################################
 #
-# Makefile -- src/oaiservr
+# Makefile -- runtime-src/src/oaiservr
 # A component of the Greenstone digital library software
 # from the New Zealand Digital Library Project at the
@@ -30,5 +30,4 @@
 
 INDEXERS_DIR = $(COMMON_DIR)/indexers
-PACKAGES_DIR = $(RUNTIME_DIR)/packages
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
 COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
@@ -46,5 +45,5 @@
 USE_SQLITE = @USE_SQLITE@
 ifeq ($(USE_SQLITE), 1)
-SQLITE_LIBS = $(COMMON_DIR)/packages/sqlite/lib/libsqlite3.a -ldl -lpthread
+SQLITE_LIBS = $(COMMON_PACKAGES_DIR)/sqlite/lib/libsqlite3.a -ldl -lpthread
 else
 SQLITE_LIBS = 
@@ -58,5 +57,6 @@
 INCLUDES = -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) -I$(RECPT_DIR) -I$(INDEXERS_DIR)/mgpp/text
 LDFLAGS = @LDFLAGS@ @COMPAT32BITFLAGS@
-LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
+LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat \
+	$(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
 INSTALL = @INSTALL@
 
Index: gsdl/trunk/runtime-src/src/recpt/Makefile.in
===================================================================
--- gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 18225)
+++ gsdl/trunk/runtime-src/src/recpt/Makefile.in	(revision 18226)
@@ -31,5 +31,5 @@
 INDEXERS_DIR = $(COMMON_DIR)/indexers
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-PACKAGES_DIR = $(RUNTIME_DIR)/packages
+RUNTIME_PACKAGES_DIR = $(RUNTIME_DIR)/packages
 COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
 PROTOCOL_DIR = $(RUNTIME_DIR)/src/protocol
@@ -47,6 +47,6 @@
 ifeq ($(USE_FASTCGI), 1)
 FASTCGI_DEFS = -DUSE_FASTCGI
-FASTCGI_INCLUDES = -I$(PACKAGES_DIR)/fcgi/include
-FASTCGI_LIBS = $(PACKAGES_DIR)/fcgi/libfcgi/libfcgi.a
+FASTCGI_INCLUDES = -I$(RUNTIME_PACKAGES_DIR)/fcgi/include
+FASTCGI_LIBS = $(RUNTIME_PACKAGES_DIR)/fcgi/libfcgi/libfcgi.a
 else
 FASTCGI_DEFS =
@@ -66,5 +66,5 @@
 Z3950_DEFS = -DUSE_Z3950
 Z3950_INCLUDES = -I$(Z3950_DIR)
-Z3950_LIBS = $(Z3950_DIR)/gsdlz3950.a $(PACKAGES_DIR)/yaz/lib/libyaz.a
+Z3950_LIBS = $(Z3950_DIR)/gsdlz3950.a $(RUNTIME_PACKAGES_DIR)/yaz/lib/libyaz.a
 else
 Z3950_DEFS =
Index: gsdl/trunk/runtime-src/src/z3950/Makefile.in
===================================================================
--- gsdl/trunk/runtime-src/src/z3950/Makefile.in	(revision 18225)
+++ gsdl/trunk/runtime-src/src/z3950/Makefile.in	(revision 18226)
@@ -31,5 +31,5 @@
 INDEXERS_DIR = $(COMMON_DIR)/indexers
 COMMON_PACKAGES_DIR = $(COMMON_DIR)/packages
-PACKAGES_DIR = $(RUNTIME_DIR)/packages
+RUNTIME_PACKAGES_DIR = $(RUNTIME_DIR)/packages
 COLSERVR_DIR = $(RUNTIME_DIR)/src/colservr
 PROTOCOL_DIR = $(RUNTIME_DIR)/src/protocol
@@ -61,11 +61,11 @@
 # Do NOT add the "recpt" directory here: the z39.50 code should be independent of the receptionist!
 INCLUDES = -I. -I$(GSDL_DIR) -I$(COMMON_DIR)/src/lib -I$(COLSERVR_DIR) -I$(PROTOCOL_DIR) \
-	-I$(INDEXERS_DIR)/mgpp/text -I$(PACKAGES_DIR)/yaz/yaz-2.1.4/include \
-	-I$(PACKAGES_DIR)/yaz/yaz-2.1.4/client -I$(PACKAGES_DIR)/d2m
+	-I$(INDEXERS_DIR)/mgpp/text -I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/include \
+	-I$(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/client -I$(RUNTIME_PACKAGES_DIR)/d2m
 INSTALL = @INSTALL@
 LDFLAGS = @LDFLAGS@
 LIBS = @LIBS@ $(COMMON_PACKAGES_DIR)/gdbm/lib/libgdbm.a -L$(COMMON_PACKAGES_DIR)/expat/lib -lexpat \
 	$(ACCENTFOLD_LIBS) $(SQLITE_LIBS) \
-	$(PACKAGES_DIR)/yaz/lib/libyaz.a $(PACKAGES_DIR)/d2m/libd2m.a -lxml2
+	$(RUNTIME_PACKAGES_DIR)/yaz/lib/libyaz.a $(RUNTIME_PACKAGES_DIR)/d2m/libd2m.a -lxml2
 RANLIB = @RANLIB@
 
@@ -136,5 +136,5 @@
 gsdlz3950.a: $(LIBRARY_OBJECTS)
 	rm -f $(LIBRARY)
-	$(AR) cru $(LIBRARY) $(LIBRARY_OBJECTS) $(PACKAGES_DIR)/yaz/yaz-2.1.4/client/tabcomplete.o
+	$(AR) cru $(LIBRARY) $(LIBRARY_OBJECTS) $(RUNTIME_PACKAGES_DIR)/yaz/yaz-2.1.4/client/tabcomplete.o
 	$(RANLIB) $(LIBRARY)
 