Index: gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java
===================================================================
--- gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 18295)
+++ gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/EnrichPane.java	(revision 18297)
@@ -83,10 +83,11 @@
     public EnrichPane()
     {
-	// Create the metadata value tree pane
-	metadata_value_tree_pane = new MetadataValueTreePane();
+	this.setComponentOrientation(Dictionary.getOrientation());
+        // Create the metadata value tree pane
+	metadata_value_tree_pane = new MetadataValueTreePane();        
 	metadata_value_tree_pane.addMetadataValueTreeSelectionListener(new MetadataValueTreeSelectionListener());
 
 	// Create metadata value table pane
-	metadata_value_table_pane = new MetadataValueTablePane();
+	metadata_value_table_pane = new MetadataValueTablePane();      
 	metadata_value_table_pane.addMetadataValueTableListSelectionListener(new MetadataValueTableListSelectionListener());
 	metadata_value_table_pane.addMetadataValueTableMouseListener(new MetadataValueTableMouseListener());
@@ -100,5 +101,9 @@
     public void afterDisplay()
     {
-	external_split.setDividerLocation(0.3);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            external_split.setDividerLocation(0.3);
+        }else{
+            external_split.setDividerLocation(0.7);
+        }
     }
 
@@ -112,4 +117,5 @@
     {
 	JPanel left_hand_pane = new JPanel(new BorderLayout());
+        left_hand_pane.setComponentOrientation(Dictionary.getOrientation());
 	GLIButton metadata_set_button = new GLIButton(Dictionary.get("EnrichPane.ManageMetadataSets"), Dictionary.get("EnrichPane.ManageMetadataSets_Tooltip"));
 	metadata_set_button.addActionListener(new ActionListener() {
@@ -124,22 +130,24 @@
 	// Collection Tree
 	collection_pane = new JPanel(new BorderLayout());
+     //   collection_pane.setComponentOrientation(Dictionary.getOrientation());
 	collection_pane.setMinimumSize(MINIMUM_SIZE);
 	collection_pane.setPreferredSize(COLLECTION_TREE_SIZE);
 
 	collection_label = new JLabel(Dictionary.get("Collection.No_Collection"));
+        collection_label.setComponentOrientation(Dictionary.getOrientation());
 	collection_label.setOpaque(true);
 
 	collection_tree = Gatherer.c_man.getCollectionTree();
 	collection_tree.getSelectionModel().setSelectionMode(TreeSelectionModel.DISCONTIGUOUS_TREE_SELECTION);
-	collection_tree.addTreeSelectionListener(this);
+	collection_tree.addTreeSelectionListener(this); 
+        collection_tree.setComponentOrientation(Dictionary.getOrientation());
 	collection_filter = collection_tree.getFilter();
-
 	external_split = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT);
-
+        external_split.setComponentOrientation(Dictionary.getOrientation());
 	// Layout
 	collection_pane.setBorder(BorderFactory.createCompoundBorder(BorderFactory.createEmptyBorder(3,3,3,3), BorderFactory.createLoweredBevelBorder()));
 	collection_pane.setMinimumSize(MINIMUM_SIZE);
 	collection_pane.setPreferredSize(new Dimension(Gatherer.g_man.getSize().width / 3, Gatherer.g_man.getSize().height));
-
+        collection_pane.setComponentOrientation(Dictionary.getOrientation());
 	// Collection Pane
 	collection_pane.add(collection_label, BorderLayout.NORTH);
@@ -148,5 +156,6 @@
 	metadata_editing_pane.setBorder(BorderFactory.createEmptyBorder(0,5,5,5));
 	metadata_editing_pane.setDividerSize(8);
-
+        metadata_editing_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	metadata_editing_pane.add(metadata_value_table_pane, JSplitPane.TOP);
 	metadata_editing_pane.add(metadata_value_tree_pane, JSplitPane.BOTTOM);
@@ -155,6 +164,11 @@
 	left_hand_pane.add(collection_pane, BorderLayout.CENTER);
 	left_hand_pane.add(metadata_set_button, BorderLayout.SOUTH);
-	external_split.add(left_hand_pane, JSplitPane.LEFT);
-	external_split.add(metadata_editing_pane, JSplitPane.RIGHT);
+        if (Dictionary.getOrientation().isLeftToRight()){
+            external_split.add(left_hand_pane, JSplitPane.LEFT);
+            external_split.add(metadata_editing_pane, JSplitPane.RIGHT);
+        }else{
+            external_split.add(left_hand_pane, JSplitPane.RIGHT);
+            external_split.add(metadata_editing_pane, JSplitPane.LEFT);
+        }
 
 