Index: greenstone3/trunk/web/interfaces/default/transform/classifiertools.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/default/transform/classifiertools.xsl	(revision 14125)
+++ greenstone3/trunk/web/interfaces/default/transform/classifiertools.xsl	(revision 18316)
@@ -6,25 +6,25 @@
   extension-element-prefixes="java util"
   exclude-result-prefixes="java util">
- 
+  
   <xsl:template match="classifier">
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
     <div id="classifiers">
-    <xsl:variable name="cl_name"><xsl:value-of select="@name"/></xsl:variable>
-    <xsl:choose>
-      <xsl:when test="/page/pageResponse/service/classifierList/classifier[@name=$cl_name]/@horizontalAtTop">
-	<xsl:apply-templates select="." mode="horizontal-at-top">
-	  <xsl:with-param name="collName" select="$collName"/>
-	  <xsl:with-param name="serviceName" select="$serviceName"/>
-	</xsl:apply-templates>
-      </xsl:when>
-      <xsl:otherwise>
-	<xsl:apply-templates select="." mode="default">
-	  <xsl:with-param name="collName" select="$collName"/>
-	  <xsl:with-param name="serviceName" select="$serviceName"/>
-	</xsl:apply-templates>
-      </xsl:otherwise>
-    </xsl:choose>
-   </div>
+      <xsl:variable name="cl_name"><xsl:value-of select="@name"/></xsl:variable>
+      <xsl:choose>
+	<xsl:when test="/page/pageResponse/service/classifierList/classifier[@name=$cl_name]/@horizontalAtTop">
+	  <xsl:apply-templates select="." mode="horizontal-at-top">
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="serviceName" select="$serviceName"/>
+	  </xsl:apply-templates>
+	</xsl:when>
+	<xsl:otherwise>
+	  <xsl:apply-templates select="." mode="default">
+	    <xsl:with-param name="collName" select="$collName"/>
+	    <xsl:with-param name="serviceName" select="$serviceName"/>
+	  </xsl:apply-templates>
+	</xsl:otherwise>
+      </xsl:choose>
+    </div>
   </xsl:template>
   
@@ -35,19 +35,19 @@
     <xsl:choose>
       <xsl:when test="classifierNode">
-      <ul id="classifiernodelist-horizontal">
-	<xsl:for-each select='classifierNode'>
-	  <xsl:apply-templates select='.' mode="horizontal"><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
-	</xsl:for-each>
+	<ul id="classifiernodelist-horizontal">
+	  <xsl:for-each select='classifierNode'>
+	    <xsl:apply-templates select='.' mode="horizontal"><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
+	  </xsl:for-each>
 	</ul>
 	<ul id="childrenlist">
 	  <li>
             <table><tr>
-	    <xsl:for-each select='classifierNode'>
-	      <xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
-	    </xsl:for-each>
-             </tr></table>
+		<xsl:for-each select='classifierNode'>
+		  <xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='serviceName' select='$serviceName'/></xsl:apply-templates>
+		</xsl:for-each>
+	      </tr></table>
 	  </li>
 	</ul>
-	</xsl:when>
+      </xsl:when>
       <xsl:otherwise>
 	<!-- there were no classifier nodes -->
@@ -55,7 +55,7 @@
           <xsl:for-each select='documentNode'>
 	    <li><table><tr><xsl:call-template name="documentNodeWrapper">
-		<xsl:with-param name='collName' select='$collName'/>
-		<xsl:with-param name='serviceName' select='$serviceName'/>
-	      </xsl:call-template></tr></table></li>
+		    <xsl:with-param name='collName' select='$collName'/>
+		    <xsl:with-param name='serviceName' select='$serviceName'/>
+		  </xsl:call-template></tr></table></li>
 	  </xsl:for-each>
 	</ul>
@@ -104,5 +104,5 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-      <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute><xsl:call-template name="bookshelfimg"/></a><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
+    <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/><xsl:if test="classifierNode|documentNode">.pr</xsl:if></xsl:attribute><xsl:call-template name="bookshelfimg"/></a><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/>
   </xsl:template>
   
@@ -112,8 +112,8 @@
     <xsl:param name="serviceName"/>
     <li><xsl:choose>
-      <xsl:when test="classifierNode|documentNode"><b><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/><xsl:text> </xsl:text></b></xsl:when>
-      <xsl:otherwise>
-<a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/></xsl:attribute><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></a><xsl:text> </xsl:text></xsl:otherwise>
-    </xsl:choose>
+	<xsl:when test="classifierNode|documentNode"><b><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/><xsl:text> </xsl:text></b></xsl:when>
+	<xsl:otherwise>
+	  <a><xsl:attribute name='href'><xsl:value-of select='$library_name'/>?a=b&amp;rt=r&amp;s=<xsl:value-of select='$serviceName'/>&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@nodeID'/></xsl:attribute><xsl:value-of disable-output-escaping="yes" select="metadataList/metadata[@name='Title']"/></a><xsl:text> </xsl:text></xsl:otherwise>
+      </xsl:choose>
     </li>
   </xsl:template>
@@ -124,9 +124,9 @@
     <xsl:param name="collName"/>
     <xsl:param name="serviceName"/>
-      <xsl:call-template name="processNodeChildren">
-	  <xsl:with-param name='collName' select='$collName'/>
-	  <xsl:with-param name='serviceName' select='$serviceName'/>
-      </xsl:call-template>
-   </xsl:template>
+    <xsl:call-template name="processNodeChildren">
+      <xsl:with-param name='collName' select='$collName'/>
+      <xsl:with-param name='serviceName' select='$serviceName'/>
+    </xsl:call-template>
+  </xsl:template>
   
   <xsl:template name="processNodeChildren">
@@ -135,28 +135,28 @@
     <xsl:for-each select='classifierNode|documentNode'>
       <xsl:choose><xsl:when test="name()='documentNode'">
-	 <li><table><tr>
-	    <xsl:call-template name="documentNodeWrapper">
-	      <xsl:with-param name='collName' select='$collName'/>
-	      <xsl:with-param name='serviceName' select='$serviceName'/>
-	    </xsl:call-template>
-             </tr></table>
+	  <li><table><tr>
+		<xsl:call-template name="documentNodeWrapper">
+		  <xsl:with-param name='collName' select='$collName'/>
+		  <xsl:with-param name='serviceName' select='$serviceName'/>
+		</xsl:call-template>
+	      </tr></table>
 	  </li>
 	</xsl:when>
 	<xsl:otherwise>
 	  <li><table><tr>
-	    <xsl:apply-templates select='.'>
-	      <xsl:with-param name='collName' select='$collName'/>
-	      <xsl:with-param name='serviceName' select='$serviceName'/>
-	    </xsl:apply-templates>
-             </tr></table>
+		<xsl:apply-templates select='.'>
+		  <xsl:with-param name='collName' select='$collName'/>
+		  <xsl:with-param name='serviceName' select='$serviceName'/>
+		</xsl:apply-templates>
+	      </tr></table>
 	  </li>
 	  <xsl:if test="child::classifierNode or child::documentNode">
 	    <!--recurse into the children-->
 	    <li><ul class="childrenlist">
-	      <xsl:apply-templates select='.' mode='process-all-children'>
-		<xsl:with-param name='collName' select='$collName'/>
-		<xsl:with-param name='serviceName' select='$serviceName'/>
-	      </xsl:apply-templates>
-                </ul>
+		<xsl:apply-templates select='.' mode='process-all-children'>
+		  <xsl:with-param name='collName' select='$collName'/>
+		  <xsl:with-param name='serviceName' select='$serviceName'/>
+		</xsl:apply-templates>
+	      </ul>
 	    </li>
 	  </xsl:if>