Index: greenstone3/trunk/web/interfaces/gs2/transform/home.xsl
===================================================================
--- greenstone3/trunk/web/interfaces/gs2/transform/home.xsl	(revision 18314)
+++ greenstone3/trunk/web/interfaces/gs2/transform/home.xsl	(revision 18318)
@@ -12,20 +12,20 @@
   <xsl:output method="html"/>  
   
-    <!-- the main page layout template is here -->
+  <!-- the main page layout template is here -->
   <xsl:template match="page">
     <html>
-    <head>
-      <title>
-	<!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
-	<xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
-      </title>
-      <xsl:call-template name="globalStyle"/>
-      <xsl:call-template name="pageStyle"/>
-    </head>
+      <head>
+	<title>
+	  <!-- put a space in the title in case the actual value is missing - mozilla will not display a page with no title-->
+	  <xsl:call-template name="pageTitle"/><xsl:text> </xsl:text>
+	</title>
+	<xsl:call-template name="globalStyle"/>
+	<xsl:call-template name="pageStyle"/>
+      </head>
       <body class="bgimage">
 	<xsl:attribute name="dir"><xsl:call-template name="direction"/></xsl:attribute>
 	<div id="page">
-	   <xsl:apply-templates select="pageResponse"/>
-	   <xsl:call-template name="greenstoneFooter"/>                	   
+	  <xsl:apply-templates select="pageResponse"/>
+	  <xsl:call-template name="greenstoneFooter"/>                	   
 	</div>
       </body>
@@ -47,17 +47,17 @@
 
   <xsl:template name="pageBanner">
-     <div id="banner">
-        <div class="collectimage">
-            <img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute>
-            </img>
-	  </div>
+    <div id="banner">
+      <div class="collectimage">
+	<img src="interfaces/default/images/gsdlhead.gif"><xsl:attribute name="alt"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'gsdl')"/></xsl:attribute>
+	</img>
       </div>
-      <div class="bannerextra"></div>
-      <div id="content">
-        <xsl:call-template name="dividerBar">
-            <xsl:with-param name="text" select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/> 
-        </xsl:call-template>
-      </div>			
-   </xsl:template>
+    </div>
+    <div class="bannerextra"></div>
+    <div id="content">
+      <xsl:call-template name="dividerBar">
+	<xsl:with-param name="text" select="util:getInterfaceText($interface_name, /page/@lang, 'home.select_a_collection')"/> 
+      </xsl:call-template>
+    </div>			
+  </xsl:template>
 
   <xsl:template match="collectionList">
@@ -66,5 +66,5 @@
 
       <p>
-      <a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}&amp;ct={$ct}">
+	<a href="{$library_name}?a=p&amp;sa=about&amp;c={@name}&amp;ct={$ct}">
 	  <img width="150" border="1">
 	    <xsl:attribute name="src">
@@ -86,8 +86,8 @@
       <xsl:value-of select="util:getInterfaceText('gs2', /page/@lang, 'home.coll_warning')"/>
     </div>	
-   </xsl:template>
+  </xsl:template>
 
-<xsl:template match="serviceList">
-   <!--<xsl:call-template name="dividerBar"/>-->
+  <xsl:template match="serviceList">
+    <!--<xsl:call-template name="dividerBar"/>-->
     <ul id="servicelist">
       <!--uncomment to display an authentication link-->
@@ -95,7 +95,7 @@
       <li><a href="{$library_name}?a=g&amp;rt=r&amp;sa=authen&amp;s={@name}&amp;s1.aup=Login&amp;s1.un=&amp;s1.asn="><xsl:value-of select="displayItem[@name='name']"/></a><xsl:value-of select="displayItem[@name='description']"/></li> <br/>     </xsl:for-each>-->
       <!--uncomment to display a library interface link-->
-     <!--<li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.librarian_interface')"/></a></li>-->
+      <!--<li><a href="{$library_name}?a=p&amp;sa=gli4gs3"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home.librarian_interface')"/></a></li>-->
     </ul>
-    </xsl:template>
+  </xsl:template>
 
 </xsl:stylesheet>  